#!/usr/bin/env bash

# Function

function get_dep(){
    # Busca la manera de capturar el error. Y mostrar mensaje en rojo.
    yum install -y -q $@ 1> /dev/null
    if [[ $@ -ne "p7zip-plugins" ]]; then complete_install $@; fi
}

function install_centos(){
    if [ -n "$(grep "centos" /etc/*-release)" ]; then 
        yum install -y -q epel-release 1> /dev/null
        rpm -U --quiet http://mirrors.kernel.org/fedora-epel/6/i386/epel-release-6-8.noarch.rpm 1> /dev/null
        rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6 1> /dev/null
        yum repolist 1> /dev/null
    fi
}



# Run

echo -e "APT system detected"
echo "---------------------"


if [ $# -eq 1 ]; then 
    install_centos
    if $PRIVSOFT; then 
        rarInstall
    fi
    get_dep tar 
    get_dep bzip2 
    get_dep gzip 
    get_dep zip
    get_dep unzip 
    get_dep p7zip
    get_dep p7zip-plugins
else
    for i in $@
    do
        if [ $i -ne "-i" ]
        then
            case $i in
                "rar" | "unrar")
                    rarInstall
                ;;
                "7z" | "7zip" | "p7zip")
                    install_centos
                    get_dep p7zip
                    get_dep p7zip-plugins
                ;;
                *)
                    get_dep $i
                ;;
            esac
        fi
    done
fi


# [ -n "$(grep "centos" /etc/*-release)" ]


#  echo -e "CentOS system detected"
#         yum install -y -q epel-release 1> /dev/null
#         rpm -U --quiet http://mirrors.kernel.org/fedora-epel/6/i386/epel-release-6-8.noarch.rpm 1> /dev/null
#         rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6 1> /dev/null
#         yum repolist 1> /dev/null
#         yum install -y -q tar bzip2 gzip zip unzip p7zip p7zip-plugins 1> /dev/null
#     elif 
#     then
#         echo -e "DNF system detected"
#         dnf install -y -q tar bzip2 gzip zip unzip p7zip p7zip-plugins 1> /dev/null
#     elif 
#     then
#         echo -e "Yum system detected"
#         yum install -y -q tar bzip2 gzip zip unzip p7zip p7zip-plugins 1> /dev/null